package card

import (
	"server/GoUtil"
	cardCfg "server/conf/card"
)

func randCard(Round, Star, IsGold int, Except []int) int {
	cardList := cardCfg.GetCardListByStar(Round, Star, IsGold)
	cardList = GoUtil.SubSlices(cardList, Except)
	cardId := GoUtil.RandSlice(cardList)
	return cardId
}

func RankGoldCard() (int, int) {
	Card1 := randCard(0, 4, 1, []int{})
	Card2 := randCard(0, 5, 1, []int{Card1})
	return Card1, Card2
}
